﻿using System;
using VRageMath;

namespace Scripts.KSWH
{
    class CapitalStation : Station
    {
        private const int MinDistance = 40;
        private const int PrductionTime = 60;
        private const int ResourceBonus = 250;
        public const int BuildCosts = 200;

        public CapitalStation()
        {
            Random r = new Random();
            Type = StationType.Capital;
            ThreadWrapper.OrderSpawn(StaticInformation.CapitalShipyards[r.Next(StaticInformation.CapitalShipyards.Length - 1)], GenerateLocation(MinDistance), this);
            Income = ResourceBonus;
        }

        public void StartProduction()
        {
            //cant
        }


        public override int GetBounty()
        {
            return 100;
        }
    }
}
