﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Sandbox.ModAPI;

namespace Scripts.KSWH
{
    class EcmStation : Station
    {
        private const int MinDistance = 20;
        private const int ProductionTime = 1;
        private int ResourceBonus = 0;
        public const int BuildCosts = 800;

       public EcmStation()
        {
            Random r = new Random();
            Type = StationType.Ecm;
            ThreadWrapper.OrderSpawn(StaticInformation.EcmStationList[r.Next(StaticInformation.EcmStationList.Length - 1)],
                    GenerateLocation(MinDistance), this);
            Income = ResourceBonus;
            SetOwsnershipToEnemy();
        }

        public EcmStation(IMyCubeGrid grid)
        {
            Grid = grid;
            Type = StationType.Ecm;
            Income = ResourceBonus;
            SetOwsnershipToEnemy();
        }

        public override int GetBounty()
        {
            return 75;
        }
    }
}
