﻿
namespace Scripts.KSWH
{
    class StaticInformation
    {
        //AI hook tags
        public static string CruiserTag = "%";
        public static string BattleshipTag = "*";
        public static string MissileTag = ">";
        public static string ProductionTag = "$";
        public static string LogisticTag = "&";
        public static string FrigateTag = "<";
        public static string MissilePlatformTag = "-";
        public static string DestroyerTag = "|";
        public static string EcmStationTag = "@";

        //Early warning system hook tags DEPRICATED
        /*
        public static string AlarmTag = "#alarm";
        public static string StartTag = "!alarm";
        public static string StopTag = "!clear";
        public static string SigTag = "!sig";
        public static string EcmTag = "!ecm";
        public static string RadTag = "!rad";
        public static string BallisticTag = "!bal";
        public static string NoBallisticsTag = "!bclear";
        public static string KillTag = "!kill";
        public static string Damage = "!dam";
         * */

        //Early warning system
        public static string AlarmGridTag = "#alarm";
        public const string AlarmTag = "AlarmAlarmBlock";
        public const string ClearTag = "ClearAlarmBlock";
        public const string Sigtag = "SigAlarmBlock";
        public const string EcmTag = "EcmAlarmBlock";
        public const string RadTag = "RadAlarmBlock";
        public const string BallisticTag = "BalAlarmBlock";
        public const string NoBallisticsTag = "BClearAlarmBlock";
        public const string KillTag = "KillAlarmBlock";
        public const string DamTag = "DamageAlarmBlock";

        //compass system
        public static string CompassTag = "!compass";

        //Friendly faction information
        public static string FactionTag = "BMS";
        public static string FactionName = "Bime military Solutions";
        public static string HqTag = "#HQ";

        //Hostile faction information
        public static string HostileTag = "W.G";
        public static string HostileName = "Weyer Global";

        //General information
        public static string[] Messages =
        {
            "I'm terribly sorry about the 1 day downtime we experianced becuase of the update. They changed quite a few things in the API and I was unable to resolve these issues in time",
            "\n* You can now drop in strikes on hostile stations, view the tutorial in the workshop"

        };
        public static string Version = "0.2.8";
        public static string SubVersion = "patch C";
        public static string MissionTag = "!firewall";
        public static string BombTag = "**boomer**";
        public static string BomFile = "boomer";
        public static string MessagePod = "MessagePod";
        public static string AirstrikePrefab = "bom";

        //Ranges
        public static int AggroRange = int.MaxValue; //failsave to make the agro range correct for now

        public static string[] CruiserPrefabList = { "lc1%", "%hcru1", "%hcru2", "%cru1", "ASC", "%SS1"};
        public static string[] BattleshipPrefabList = {"bs4", "bs2", "bs3", "bs5", "bs6", "lbs1"};
        public static string[] FrigShipyard = { "Shipyard$" };
        public static string[] DestroyerShipyard = { "shipyard$$", "shipyard_2$$" }; //"shipyard$$_1", not working somehow
        public static string[] Destroyers = {"ds1", "ds2"};
        public static string[] SmallLogisticStations = {"factory&"};
        public static string[] LargeLogisticStations = {"ls1&&"};
        public static string[] LargeBallisticWeapons = {"torp", "torp2"};
        public static string[] CruiserShipyard = {"shipyard$$$"};
        public static string[] EcmStationList = {"@ECM1"};
        public static string[] SmallMissiles = {"cluster"};
        public static string[] Frigates = {"scout", "sc1", "sco3", "sco4", "RBF", "HAF", "Hornet", "minitrek"}; //todo: fix frigate_1, frigate and assualtfrigate
        public static string[] SmallLaunchPlatforms = {"launchplatform-"};
        public static string[] LargeLaunchPlatforms = {"--bmp1"};
        public static string[] CapitalShipyards = {};
        public static string[] LargeWreckages = {"lw1", "lw2", "lw3"};
        public static string[] SmallWreckages = {"sw1", "sw2", "sw3", "sw5", "sw6"};
        public static string[] FofMines = {"^AutoMine"};


    }
}
